# Travis CI config for automated Nikola blog deployments
language: python
cache: apt
sudo: false
branches:
  only:
  - src
python:
- 3.6
before_install:
- git config --global user.name 'Travis CI'
- git config --global user.email 'travis@invalid'
- git config --global push.default 'simple'
- pip install -U --upgrade-strategy=eager pip setuptools wheel
- echo -e 'Host github.com\n    StrictHostKeyChecking no' >> ~/.ssh/config
- eval "$(ssh-agent -s)"
- chmod 600 id_rsa
- ssh-add id_rsa
- git remote rm origin
- git remote add origin git@github.com:USERNAME/REPO.git
- git fetch origin master
- git branch master FETCH_HEAD
install:
- pip install -U --upgrade-strategy=eager 'Nikola[extras]'
script:
- nikola build && nikola github_deploy -m 'Nikola auto deploy [ci skip]'
notifications:
    email:
        on_success: change
        on_failure: always
